Subject: Re: Implementation of modifying VC change comments for Git

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Oct 2024 13:28:31 +0300

> From: Sean Whitton <[email-masked]>
> Cc: Dmitry Gutov <[email-masked]>, Morgan Smith <[email-masked]>
> Date: Fri, 18 Oct 2024 17:26:28 +0800
> 
> This patch is the rest of this feature.  Eli, would you kindly test on
> MS-Windows, please?  Just try to edit the message for an unpushed git
> commit and add some Unicode, and see if it works correctly.

I'm supposed to type 'e' in the log buffer, edit the comment, then
type "C-c C-c"?  Or should I do something else?

When I do the above, I get an error message:

  vc-do-command: Failed (status 128): git --no-pager commit --only --allow-empty -F c:/Users/EliZ/AppData/Local/Temp/git-msgWaNflu

and the *vc* buffer says:

  fatal: No paths with --include/--only does not make sense.

It's possible my Git is very old, but shouldn't this command work with
old versions as well?